Bug 107716 - gnome-terminal double/triple click select random things
Summary: gnome-terminal double/triple click select random things
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-22 13:21 UTC by Dams
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 20:47:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Capture-Gnome-terminal.png (37.15 KB, image/png)
2004-12-07 09:37 UTC, Dams
no flags Details

Description Dams 2003-10-22 13:21:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1) Gecko/20031014
Galeon/1.3.9

Description of problem:
I often want to select a word (double click) or a whole line (triple click), but
in gnome-terminal, triple click often selects more than one line and double
click on the first word of a line often selects the end of the previous line, etc..

Version-Release number of selected component (if applicable):
gnome-terminal(0:2.4.0.1-1)

How reproducible:
Sometimes

Steps to Reproduce:
1. gnome-terminal  &
2. double/triple click on texts


Additional info:

I use a 100x77 gnome-terminal (with /usr/bin/screen). It seems to be
non-reproducible with a standard-sized gnome-terminal.
An exemple :
http://livna.org/~anvil/Capture-Gnome-terminal-triple-click.png

Comment 1 Dams 2004-09-29 18:06:34 UTC
Reproducible with fc3t2/rawhide.
gnome-terminal(0:2.7.3-1).i386
vte(0:0.11.11-5).i386


Comment 2 Dams 2004-11-11 17:48:49 UTC
Reproducible on FC3.



Comment 3 Dams 2004-12-05 00:13:40 UTC
Hello.. ?

Comment 4 Ray Strode [halfline] 2004-12-06 20:13:26 UTC
Hi Dams,
Could you attach that image directly to this bug report please? Thanks

Comment 5 Dams 2004-12-07 09:37:23 UTC
Created attachment 108026 [details]
Capture-Gnome-terminal.png

I dont have the original screenshot, so here's another one. 

Basically, triple clicking (to select a single line) select a not-so-random
number of lines. In this shot, i can triple click any one of the 3
shown-selected lines, it will always select these 3 lines.

I think gnome-terminal is considering those 3 lines as single one, since if I
paste them in emacs (or whatever), either \n will be replaced as simple single
spaces.

There's also the case when triple-clicking an empty line will select more than
one line. If i try to paste this selection in emacs, i will have a single line
with X*Y spaces length line when X was the width of the gnome-terminal and Y
the number of original (mis?)selected lines.

Comment 6 Dams 2005-01-08 08:42:40 UTC
Ray, do you still need information from me ?

Comment 7 Ray Strode [halfline] 2005-01-09 18:37:12 UTC
Does this happen when you are not in screen, or when you are not in
your  irc client?

Comment 8 Dams 2005-01-09 18:52:32 UTC
Not in irssi, yes, definitly this happens (it's where it is the most
annoying, actually). Happens with zsh (tried with bash too..).
Not in screen, i couldnt swear, since i rarely have other terminals.
I'll try and keep you informed.

Comment 9 Matthew Miller 2006-07-10 22:39:11 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 10 John Thacker 2006-10-29 20:47:47 UTC
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.